> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.navisavitravel.com/llms.txt.

# Countries for a place category

GET https://api.navisavitravel.com/v1/place-categories/{placeCategorySlug}/countries

Returns countries that have videos of the given place type, ranked by video count.

Reference: https://api-docs.navisavitravel.com/api-reference/insights/list-countries-by-place-category

## Authentication

- `x-api-key` header (required) — API key issued with your NaviSavi plan

## Servers

- `https://api.navisavitravel.com` (Production, default)
- `https://api-dev.navisavitravel.com` (Development)

## Request

### Path parameters

- `placeCategorySlug` (string, required)

## Response

### 200

Countries with video counts for the place category

- `list of CountryVideoCount`

## Errors

### 400 Bad Request Error

Invalid request parameters

- `error` (string, required)
- `details` (map from string to any, optional)

### 403 Forbidden Error

Missing or invalid API key

- `error` (string, required)
- `details` (map from string to any, optional)

### 500 Internal Server Error

Internal server error

- `error` (string, required)
- `details` (map from string to any, optional)

## Types

### CountryVideoCount

- `countryId` (integer, required)
- `countryName` (string, required)
- `videoCount` (integer, required)

## Examples

**Response**

```json
[
  {
    "countryId": 1,
    "countryName": "string",
    "videoCount": 1
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.navisavitravel.com/v1/place-categories/restaurant/countries"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.navisavitravel.com/v1/place-categories/restaurant/countries';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.navisavitravel.com/v1/place-categories/restaurant/countries"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.navisavitravel.com/v1/place-categories/restaurant/countries")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.navisavitravel.com/v1/place-categories/restaurant/countries")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.navisavitravel.com/v1/place-categories/restaurant/countries', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.navisavitravel.com/v1/place-categories/restaurant/countries");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.navisavitravel.com/v1/place-categories/restaurant/countries")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```